Bug 996258 - boot guest with maxcpu=255 successfully but actually max number of vcpu is 160
boot guest with maxcpu=255 successfully but actually max number of vcpu is 160
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Marcelo Tosatti
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 15:09 EDT by Marcelo Tosatti
Modified: 2014-06-17 23:33 EDT (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-1.5.3-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 991377
Environment:
Last Closed: 2014-06-13 05:22:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcelo Tosatti 2013-08-12 15:09:44 EDT
Clone of 991377
Comment 2 Miroslav Rezanina 2013-08-29 07:17:21 EDT
Fix included in qemu-kvm-1.5.3-2.el7
Comment 4 huiqingding 2014-01-20 05:23:21 EST
Reproduce this bug using the following version:
kernel-3.7.0-0.36.el7.x86_64
qemu-kvm-1.3.0-6.el7.x86_64

Reproduce steps:
1. Boot guest with "maxcpus=255"
# /usr/libexec/qemu-kvm -M pc -cpu SandyBridge -enable-kvm -m 2048 -smp 8,sockets=2,cores=2,threads=2,maxcpus=255 -no-kvm-pit-reinjection -uuid 350e716b-5f98-4bf0-9a2a-c8e423295244 -rtc base=localtime,clock=host,driftfix=slew -device virtio-serial-pci,id=virtio-serial0,max_ports=16,vectors=0,bus=pci.0,addr=0x3 -chardev socket,id=channel1,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel1,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port1 -chardev socket,id=channel2,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel2,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port2 -drive file=/home/RHEL-Server-7.0-64-virtio.qcow2,if=none,id=drive-system-disk,format=qcow2,aio=native,werror=stop,rerror=stop -device virtio-blk-pci,drive=drive-system-disk,id=system-disk,bootindex=1 -device virtio-balloon-pci,id=ballooning,bus=pci.0,addr=0x6 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -chardev spicevmc,name=usbredir,id=usbredirchardev1 -k en-us -boot menu=on -qmp tcp:0:4444,server,nowait -serial unix:/tmp/ttyS0,server,nowait -vnc :1 -chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtio-serial -device virtserialport,chardev=qga0,name=org.qemu.guest_agent.0,id=sr0 -monitor stdio -device sga -chardev socket,id=serial1,path=/var/test1,server,nowait -device isa-serial,chardev=serial1   -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=08:2E:5F:0B:1D:B2

Actual results:
guest can boot without any warning information.

Verify this bug using the following version:
kernel-3.10.0-67.el7.x86_64
qemu-kvm-1.5.3-38.el7.x86_64

Verification steps:
1. Boot guest with "maxcpus=255"
# /usr/libexec/qemu-kvm -M pc -cpu SandyBridge -enable-kvm -m 2048 -smp 8,sockets=2,cores=2,threads=2,maxcpus=255 -no-kvm-pit-reinjection -uuid 350e716b-5f98-4bf0-9a2a-c8e423295244 -rtc base=localtime,clock=host,driftfix=slew -device virtio-serial-pci,id=virtio-serial0,max_ports=16,vectors=0,bus=pci.0,addr=0x3 -chardev socket,id=channel1,path=/tmp/helloworld1,server,nowait -device virtserialport,chardev=channel1,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port1 -chardev socket,id=channel2,path=/tmp/helloworld2,server,nowait -device virtserialport,chardev=channel2,name=com.redhat.rhevm.vdsm,bus=virtio-serial0.0,id=port2 -drive file=/home/RHEL-Server-7.0-64-virtio.qcow2,if=none,id=drive-system-disk,format=qcow2,aio=native,werror=stop,rerror=stop -device virtio-blk-pci,drive=drive-system-disk,id=system-disk,bootindex=1 -device virtio-balloon-pci,id=ballooning,bus=pci.0,addr=0x6 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -chardev spicevmc,name=usbredir,id=usbredirchardev1 -k en-us -boot menu=on -qmp tcp:0:4444,server,nowait -serial unix:/tmp/ttyS0,server,nowait -vnc :1 -chardev socket,path=/tmp/qga.sock,server,nowait,id=qga0 -device virtio-serial -device virtserialport,chardev=qga0,name=org.qemu.guest_agent.0,id=sr0 -monitor stdio -device sga -chardev socket,id=serial1,path=/var/test1,server,nowait -device isa-serial,chardev=serial1   -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=08:2E:5F:0B:1D:B2

Actual results:
guest can boot and qemu-kvm outputs following warning inforamtion:
Warning: Number of hotpluggable cpus requested (255) exceeds the recommended cpus supported by KVM (160)

Based on the above result, I think this bug has been fixed.
Comment 6 Ludek Smid 2014-06-13 05:22:20 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.